Add Consent Form

Adds a new Consent Form for the Tenant.

POST
/consent/forms

Adds a new Consent Form for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/consent/forms" \  -H "Content-Type: application/json" \  -d '{}'
{
  "IsActive": true,
  "Version": 1,
  "Events": [
    {
      "IsCustom": true,
      "Name": "Register"
    }
  ],
  "StartFromDate": "2023-01-01T00:00:00Z",
  "CreatedOnDate": "2023-01-01T00:00:00Z",
  "ConsentOptions": [
    {
      "IsRequired": true,
      "ConsentOptionId": "123e4567e89b12d3a456426614174000",
      "IsActive": true
    }
  ],
  "TermOfService": "I agree to the terms of service.",
  "PrivacyPolicy": "I agree to the Privacy Policy.",
  "IsWorkflowForm": true
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Consent form already exists for the event with the same start date",
  "Description": "Consent form already exists for the event with the same start date. Please provide a different start date.",
  "ErrorCode": 8207
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}